package nl.amis.demo.dynacols.model.revenue.types;
    
import java.util.List;

public class RevenueData implements Comparable<RevenueData>{
    
    private String departmentId;
    private String departmentName;
    private List<RevenuePeriodData> periodData;
    
    public RevenueData() {        
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setPeriodData(List<RevenuePeriodData> periodData) {
        this.periodData = periodData;
    }

    public List<RevenuePeriodData> getPeriodData() {
        return periodData;
    }
    
    public int compareTo(RevenueData revData) {
        return departmentName.compareTo(revData.getDepartmentName());
    }
}
